Skip to main content
GET
/
loans
/
loan-preview
Get new loan preview
curl --request GET \
  --url https://api.exchange.coinbase.com/loans/loan-preview \
  --header 'cb-access-key: <api-key>' \
  --header 'cb-access-passphrase: <api-key>' \
  --header 'cb-access-sign: <api-key>' \
  --header 'cb-access-timestamp: <api-key>'
{
  "before": {
    "open_loan_value": "<string>",
    "collateral_value": "<string>",
    "collateralization_percentage": "<string>",
    "available_to_borrow": "<string>",
    "available_per_asset": {},
    "withdrawal_restricted": true,
    "credit_limit_value": "<string>",
    "available_credit_value": "<string>",
    "collateralization_percentage_open_only": "<string>",
    "pending_loan_value": "<string>",
    "initial_margin_percentage": "<string>",
    "minimum_margin_percentage": "<string>",
    "unlock_margin_percentage": "<string>"
  },
  "after": {
    "open_loan_value": "<string>",
    "collateral_value": "<string>",
    "collateralization_percentage": "<string>",
    "available_to_borrow": "<string>",
    "available_per_asset": {},
    "withdrawal_restricted": true,
    "credit_limit_value": "<string>",
    "available_credit_value": "<string>",
    "collateralization_percentage_open_only": "<string>",
    "pending_loan_value": "<string>",
    "initial_margin_percentage": "<string>",
    "minimum_margin_percentage": "<string>",
    "unlock_margin_percentage": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Coinbase Exchange Loans ProgramSee Coinbase Exchange Loans Program for program details including qualification criteria and sample terms.
CautionThe lending rate limit is 10 RPS per profile.

Authorizations

cb-access-key
string
header
required
cb-access-passphrase
string
header
required
cb-access-sign
string
header
required
cb-access-timestamp
string
header
required

Query Parameters

currency
string
native_amount
string

Response

A successful response.

before
object
after
object